@charset "UTF-8";
/**
 * qa.css
 *
 * @package Knowledge Ring
 * @subpackage kcv8
 */
/**
 * 「コミュニティ」メニューページ
 */
#community {
  line-height: 1.5em;
}

#community .pagetitle {
  margin-top: 0.2em;
  margin-bottom: 1em;
}

#community h2 {
  font-size: 16px;
  margin-bottom: 0.3em;
}

a#search-option-qa {
  margin-right: 0em;
}

#additional-search-qa {
  border: solid 1px #dddbd6;
  padding: 4px;
  margin: 5px;
  background-color: #fff;
}

#additional-search-qa table tr th {
  text-align: right;
  font-weight: normal;
  border: none;
}

#additional-search-qa input {
  width: 390px;
}

#additional-search-qa h2 {
  font-size: 14px;
}

/** 一覧 **/
#community textarea,
#community input,
#community select {
  box-sizing: border-box;
  font-family: "Helvetica Neue", Arial, "Hiragino Kaku Gothic ProN", "Hiragino Sans", "BIZ UDPGothic", Meiryo, sans-serif;
  color: #333;
}

#community textarea,
#community input.base {
  border: solid 1px #dddbd6;
  border-radius: 4px 0px 0px 4px;
  line-height: 1.8em;
  padding: 2px 2px 2px 0.8em;
}

#community textarea:focus,
#community input.base:focus {
  outline: none;
}

/* 補足・コメント */
#sub_content,
#mod_answer {
  width: 100%;
  max-width: 702px;
  height: 5em;
}

#q_comment {
  width: 700px;
  height: 5em;
}
@media screen and (max-width: 1149px) {
  #q_comment {
    width: 100%;
  }
}

/** 受付中、受付終了、解決済みアイコン **/
a.resolve,
a.closed,
a.open {
  display: block;
  background: url(qaimages/icon_resolve.gif) right top no-repeat;
  padding-right: 6em;
}

a.open {
  background: url(qaimages/icon_open.gif) right top no-repeat;
}

a.closed {
  background: url(qaimages/icon_close.gif) right top no-repeat;
}

#ask {
  border: 1px solid #dbddd6;
  border-radius: 4px;
  padding: 5px;
  margin-bottom: 2em;
  box-shadow: 0 0 2px rgba(0, 0, 0, 0.2);
}

.wrapper {
  padding: 15px;
  border: 1px solid #ccc;
  border-radius: 4px;
  background: url(qaimages/st_open.png) right top no-repeat;
}
@media screen and (max-width: 1149px) {
  .wrapper {
    background-size: 72px !important;
  }
}

div.closed {
  background: url(qaimages/st_close.png) right top no-repeat;
}

div.resolve {
  background: url(qaimages/st_resolve.png) right top no-repeat;
}

.ask_title {
  font-weight: bold;
  font-size: 16px;
  margin-bottom: 1em;
  margin-right: 80px;
}

.ask_from {
  margin-bottom: 2em;
}

.ask_from span {
  font-weight: bold;
}

.detail {
  margin-bottom: 2em;
}

.ask_info table {
  width: 100%;
  border-collapse: collapse;
  border-top: 1px solid #ccc;
  font-size: 12px;
  background: #FFF;
}

.ask_info table tr td {
  border-bottom: 1px solid #ccc;
  padding: 3px 5px;
  border-top: none;
  border-left: none;
  border-right: none;
}
@media screen and (max-width: 1149px) {
  .ask_info table tr td {
    word-break: keep-all;
  }
}

/** 回答 **/
#community .answer {
  border: 1px solid #dbddd6;
  border-radius: 4px;
  padding: 5px;
  margin-bottom: 2em;
  box-shadow: 0 0 2px rgba(0, 0, 0, 0.2);
  background-color: rgba(234, 114, 156, 0.01);
}
#community .answer input[type=button], #community .answer input[type=submit], #community .answer input[type=reset] {
  margin: 2px 0;
  padding: 2px 4px;
}
#community .answer input[type=reset] {
  margin-left: 4px;
}
@media screen and (max-width: 1149px) {
  #community .answer {
    background-size: 72px !important;
  }
}

#community .answer div.answer-inner {
  padding: 15px;
  border: 1px solid #ccc;
  border-radius: 4px;
  background-color: rgba(234, 114, 156, 0.01);
}

/* ベストアンサー */
.best {
  border: 1px solid #dbddd6;
  border-radius: 4px;
  padding: 5px;
  margin-bottom: 2em;
  box-shadow: 0 0 2px rgba(0, 0, 0, 0.2);
}

.bestanswer {
  padding: 15px;
  border-top: 1px solid #ccc;
  border-bottom: 1px solid #ccc;
  margin-bottom: 1em;
  border: 1px solid #ccc;
  background: url(qaimages/bestanswer.png) no-repeat right top;
}

.answer_person {
  padding-bottom: 2.5em;
}
@media screen and (max-width: 1149px) {
  .answer_person {
    padding-bottom: 3.2em;
  }
}

.answer_person span {
  font-weight: bold;
}

.answer_info {
  text-align: right;
  font-size: 12px;
}

#do_answer {
  border: 1px solid #dbddd6;
  border-radius: 4px;
  padding: 5px;
  margin-bottom: 2em;
  box-shadow: 0 0 2px rgba(0, 0, 0, 0.2);
}

#do_answer form textarea {
  height: 8em;
  width: 100%;
  max-width: 720px;
}

#community .answerbtn {
  padding: 6px 10px;
  border: solid 1px #ccc;
  border-radius: 4px;
  cursor: pointer;
  background-color: #fff;
  color: #c1272d;
  font-weight: bold;
}

#community .answerbtn:hover {
  background-color: rgba(51, 51, 51, 0.06);
  cursor: pointer;
}

/** お礼 **/
#thanks {
  border: 1px solid #ccc;
  border-radius: 4px;
  background: #f7f7f7;
  padding: 10px;
  margin: 1em;
  box-shadow: 0 0 2px rgba(0, 0, 0, 0.2);
}
@media screen and (max-width: 699px) {
  #thanks {
    margin: 1em 0;
  }
}

/** コミュニティ検索 **/
#community_search {
  padding: 15px;
  border: solid 1px #dddbd6;
  border-radius: 4px;
  box-shadow: 0 0 2px rgba(0, 0, 0, 0.2);
  /* background:#e2ffce; */
  text-align: left;
  margin-bottom: 15px;
}

#community_search form {
  margin-top: 2px;
  display: block;
}

#community_search table {
  border-collapse: separate;
}
@media screen and (max-width: 1149px) {
  #community_search table tr {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    row-gap: 4px;
    column-gap: 12px;
  }
  #community_search table tr .searchbox-area {
    display: flex;
    width: 100%;
  }
  #community_search table tr .searchbox-area .searchbox {
    width: 100%;
  }
  #community_search table tr #additional-search-qa table {
    width: 100%;
  }
  #community_search table tr #additional-search-qa table tr {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    row-gap: 4px;
    column-gap: 12px;
    width: 100%;
  }
  #community_search table tr #additional-search-qa table tr td, #community_search table tr #additional-search-qa table tr input {
    width: 100%;
  }
}
@media screen and (max-width: 699px) {
  #community_search table tr .search-option-detail {
    width: 100%;
  }
}

#community_search table tr td {
  vertical-align: top;
  border: none;
}

#community_search table tr td.option {
  font-size: 12px;
}

#community_search .searchbox {
  width: 560px;
}

#community_search a {
  float: right;
}

#community .search {
  margin-top: -1px;
  cursor: pointer;
  border: none;
}

#community .search:focus {
  outline: none;
}

#community .search:hover {
  opacity: 0.8;
}

#community .search::before {
  box-sizing: border-box;
  font-family: "Font Awesome 6 Free";
  font-weight: 600;
  content: "\f002";
  color: #fff;
  background-color: #c1272d;
  border: solid 1px #dbddd6;
  border-left: none;
  border-radius: 0 4px 4px 0;
  padding: 7.8px 10px;
  vertical-align: middle;
  line-height: 25px;
  margin: -2px 0 0 -1.2px;
}

#community .line .text {
  font-size: 12px;
}

/** 質問する **/
#community_ask table {
  width: 100%;
  font-size: 12px;
  border-collapse: separate;
  border-spacing: 0;
  border: solid 1px #ccc;
  border-top-left-radius: 3px;
  border-top-right-radius: 3px;
  border-bottom-left-radius: 3px;
  border-bottom-right-radius: 3px;
  box-shadow: 0 0 2px rgba(0, 0, 0, 0.2);
}
@media screen and (max-width: 1149px) {
  #community_ask table tr {
    display: flex;
    flex-direction: column;
  }
  #community_ask table tr th {
    width: 100% !important;
    border-left: 1px solid #ccc;
    box-sizing: border-box;
  }
  #community_ask table tr td #title_qa, #community_ask table tr td #detail_qa {
    width: 100%;
  }
}

#community_ask table tr th {
  width: 190px;
  background: #f1f1f1;
}

#community_ask table tr th,
#community_ask table tr td {
  padding: 5px 10px;
  vertical-align: top;
  font-size: 1.2em;
}

#community_ask table tr th:last-child,
#community_ask table tr td:last-child {
  border-left: solid 1px #ccc;
}

#community_ask table tr:not(:last-child) th,
#community_ask table tr:not(:last-child) td {
  border-bottom: solid 1px #ccc;
}

#community_ask table tr:first-child td {
  font-weight: 800;
}

/** 質問タイトルテキストフォーム **/
#title_qa {
  width: 520px;
  font-size: 16px;
}

/** 質問詳細テキストエリア **/
#detail_qa {
  border: 1px solid #AAAAAA;
  width: 520px;
  height: 18em;
  padding: 3px 5px;
  margin-bottom: 0;
}

span.notice {
  font-size: 0.8em;
  font-weight: normal;
}

/** この内容で質問するボタン **/
#community .askconfirm,
#community .asksubmit,
#community .askreedit {
  padding: 6px 10px;
  border: solid 1px #ccc;
  border-radius: 4px;
  cursor: pointer;
  background-color: #fff;
  color: #c1272d;
  font-weight: bold;
}

#community .askconfirm:hover,
#community .asksubmit:hover,
#community .askreedit:hover {
  background-color: rgba(51, 51, 51, 0.06);
  cursor: pointer;
}

.confirmation-comment {
  margin-bottom: 25px;
  display: block;
  font-weight: bold;
  padding-top: 9px;
}

/**************************************************
* メッセージ
**************************************************/
.updated, .message {
  background-color: #FFFFE0;
  border-color: #E6DB55;
}

.updated, .error {
  -moz-border-radius: 3px 3px 3px 3px;
  border-radius: 3px 3px 3px 3px;
  border-style: solid;
  border-width: 1px;
  margin: 5px;
  padding: 0 0.6em;
}

.updated p {
  line-height: 1;
  margin: 0.5em 0;
  padding: 2px;
}

.updated, .message {
  background-color: #FFFFE0;
  border-color: #E6DB55;
}

.updated, .error {
  -moz-border-radius: 3px 3px 3px 3px;
  border-radius: 3px 3px 3px 3px;
  border-style: solid;
  border-width: 1px;
  margin: 5px;
  padding: 0 0.6em;
}

.updated p {
  line-height: 1;
  margin: 0.5em 0;
  padding: 2px;
}

#evaluate {
  text-align: center;
  padding: 5px;
  margin: 15px;
  background: #f1f1f1;
}

/* <qa-index> */
.qa-regist-button {
  font-family: sans-serif;
  width: 108px;
  padding: 5px 5px;
  background-color: #fff;
  border-radius: 2px;
  border: solid 1px #ccc;
  box-shadow: 0 2px 3px rgba(9, 0, 0, 0.05);
  font-weight: 600;
  letter-spacing: 0.1em;
  margin-top: 2px;
}

.qa-regist-button:hover {
  background-color: rgba(51, 51, 51, 0.06);
  cursor: pointer;
}

.qa-regist-button i {
  font-size: 16px;
  margin-right: 4px;
  color: #c2271d;
}

/* </qa-index> */
/* <qa-question> */
.community-comment-button {
  padding: 2px 4px;
  margin: 2px;
}

/* </qa-question> */
/**
 * 「設定」→「コミュニティ設定」メニューページ
 */
@media screen and (max-width: 1149px) {
  #community #community_ask {
    margin-bottom: 44px;
  }
}
#community #community_ask .community-restriction-area {
  display: flex;
  gap: 4px;
}
#community #community_ask #restriction-container-role, #community #community_ask #restriction-container-user {
  margin-top: 8px;
}
#community #community_ask #restriction-container-role.hide, #community #community_ask #restriction-container-user.hide {
  display: none;
}
#community #community_ask #restriction-container-role #community-restriction-list-roles, #community #community_ask #restriction-container-role #community-restriction-list-users, #community #community_ask #restriction-container-user #community-restriction-list-roles, #community #community_ask #restriction-container-user #community-restriction-list-users {
  width: 100%;
  max-width: 480px;
}
#community #community_ask #restriction-container-role .ms-parent span, #community #community_ask #restriction-container-user .ms-parent span {
  width: inherit;
}
#community #community_ask #restriction-container-role ul, #community #community_ask #restriction-container-user ul {
  margin-left: 4px;
}
#community #community_ask .anonymous-checkbox {
  vertical-align: middle;
}
#community #community_ask .anonymous-checkbox label {
  display: flex;
  align-items: center;
  gap: 6px;
  height: 100%;
}
#community #community_ask .anonymous-checkbox label input[type=checkbox] {
  width: 16px;
  height: 16px;
}
#community #ask .ask_from, #community #ask .answer_person, #community .answer .ask_from, #community .answer .answer_person {
  position: relative;
}
#community #ask .restriction-check .info-box, #community .answer .restriction-check .info-box {
  padding: 3px 5px;
  border-bottom: 1px solid #ccc;
  font-size: 12px;
}
#community #ask .restriction-check .info-box span, #community .answer .restriction-check .info-box span {
  display: inline-block;
}
#community #ask .wrapper .answer-anonymously-notify, #community .answer .wrapper .answer-anonymously-notify {
  border-top: 1px solid #ccc;
  font-size: 12px;
  color: #c1272d;
  padding: 3px 5px;
}
#community #ask .wrapper .answer-restriction-area, #community .answer .wrapper .answer-restriction-area {
  border-top: 1px solid #ccc;
  padding: 3px 5px;
}
#community #ask .wrapper .answer-restriction-area .notify, #community .answer .wrapper .answer-restriction-area .notify {
  font-size: 12px;
  color: #c1272d;
}
#community #ask .wrapper .answer-restriction-area .expansion, #community .answer .wrapper .answer-restriction-area .expansion {
  color: #3366aa;
  cursor: pointer;
}
#community #ask .wrapper .answer-restriction-area .expansion-content, #community .answer .wrapper .answer-restriction-area .expansion-content {
  margin: 4px 0 6px 4px;
  padding: 4px;
  border: solid 1px #dddbd6;
  border-radius: 4px 0px 0px 4px;
}
#community #ask .wrapper .answer-restriction-area .expansion-content h3, #community .answer .wrapper .answer-restriction-area .expansion-content h3 {
  margin: 2px 0;
}
#community #ask .wrapper .answer-restriction-area .expansion-content .detail, #community .answer .wrapper .answer-restriction-area .expansion-content .detail {
  margin: 2px 0 6px 4px;
  font-size: 12px;
}
#community #do_answer .answer-restriction-info {
  padding: 2px;
  font-size: 13px;
}
#community .anonymously-input {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 8px;
}
#community .anonymously-input label {
  margin-left: 4px;
  margin-top: 1px;
}
#community .anonymously-input input {
  width: 16px;
  height: 16px;
}
#community .anonymously-input.edit {
  margin-bottom: 8px;
  font-size: 14px;
}
#community .show-user-name {
  color: red;
  cursor: pointer;
}
#community .user-name-area {
  position: absolute;
  top: 20px;
  left: 4px;
  min-width: 120px;
  padding: 14px;
  background-color: #f5f5f5;
  border: 1px solid #ccc;
  font-size: 13px;
  line-height: 1.7;
}
#community .user-name-area#thanks-user-name-area {
  top: 28px;
}
#community .user-name-area .note {
  font-size: 11px;
}
#community #thanks {
  position: relative;
}
